=== debian/changelog ===
kubernetes-helm (3.12.3+ds1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:55:42 +0200

kubernetes-helm (3.12.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 11:49:30 +0200

kubernetes-helm (3.12.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 15:41:10 +0200

kubernetes-helm (3.12.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 16:13:11 +0200

kubernetes-helm (3.12.0-dev.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.0-dev.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Mar 2023 14:35:13 +0100

kubernetes-helm (3.11.0+ds1-0kali3) kali-dev; urgency=medium

  * Change package name: a source package named helm arleady exists in Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Jan 2023 14:41:18 +0100

helm (3.11.0+ds1-0kali2) kali-dev; urgency=medium

  * Add missing ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Jan 2023 14:40:54 +0100

helm (3.11.0+ds1-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 3.11.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Jan 2023 15:54:52 +0100
