=== debian/control ===
Source: kubernetes-helm
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 ca-certificates,
 dh-golang,
 golang-any,
 golang-github-burntsushi-toml-dev,
 golang-github-data-dog-go-sqlmock-dev,
 golang-github-masterminds-semver-dev,
 golang-github-masterminds-sprig-dev,
# golang-github-masterminds-squirrel-dev,
 golang-github-masterminds-vcs-dev,
 golang-github-asaskevich-govalidator-dev,
 golang-github-containerd-containerd-dev,
 golang-github-cyphar-filepath-securejoin-dev,
# goland-github-distribution-distribution-dev,
 golang-github-evanphx-json-patch-dev,
 golang-github-gobwas-glob-dev,
 golang-github-gofrs-flock-dev,
 golang-github-gosuri-uitable-dev,
 golang-github-jmoiron-sqlx-dev,
 golang-github-lib-pq-dev,
 golang-github-mattn-go-shellwords-dev,
 golang-github-mitchellh-copystructure-dev,
 golang-github-moby-term-dev,
 golang-github-opencontainers-image-spec-dev,
# golang-github-phayes-freeport-dev,
 golang-github-pkg-errors-dev,
 golang-github-rubenv-sql-migrate-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-github-xeipuuv-gojsonschema-dev,
 golang-golang-x-term-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-text-dev,
 golang-google-grpc-dev,
# golang-k8s-api-dev,
# golang-k8s-apiextensions-apiserver-dev,
# golang-k8s-apimachinery-dev,
# golang-k8s-apiserver-dev,
# golang-k8s-cli-runtime-dev,
# golang-k8s-client-go-dev,
 golang-k8s-klog-dev,
# golang-k8s-kubectl-dev,
 golang-k8s-sigs-yaml-dev,
 golang-oras-oras-go-dev
Standards-Version: 4.6.2
Homepage: https://github.com/helm/helm
XS-Go-Import-Path: github.com/helm.sh/helm/v3

Package: kubernetes-helm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: kubernetes-client
Built-Using: ${misc:Built-Using}
Description: tool for managing Charts (helm)
 This package contains a tool for managing Charts. Charts are packages of
 pre-configured Kubernetes resources.
 .
 Use Helm to:
    * Find and use popular software packaged as Helm Charts to run in Kubernetes
    * Share your own applications as Helm Charts
    * Create reproducible builds of your Kubernetes applications
    * Intelligently manage your Kubernetes manifest files
