## kubernetes-helm 3.18.3+ds1

=== debian/changelog ===
kubernetes-helm (3.18.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Jun 2025 10:00:08 +0200

kubernetes-helm (3.18.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Jun 2025 11:26:15 +0200

kubernetes-helm (3.18.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 11:54:40 +0200

kubernetes-helm (3.17.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Apr 2025 13:31:04 +0200

kubernetes-helm (3.17.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.2+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 16:17:24 +0200

kubernetes-helm (3.17.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.0+ds1

 -- Sophie Brun <sophie@freexian.com>  Thu, 16 Jan 2025 12:08:02 +0100

kubernetes-helm (3.16.4+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.16.4+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 14:35:28 +0100

kubernetes-helm (3.16.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.16.2+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Oct 2024 14:47:25 +0200

kubernetes-helm (3.15.4+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.15.4+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Aug 2024 16:07:57 +0200

kubernetes-helm (3.15.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.15.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Aug 2024 17:18:55 +0200

kubernetes-helm (3.15.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.15.1+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 May 2024 17:43:26 +0200

kubernetes-helm (3.14.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Feb 2024 09:53:01 +0100

kubernetes-helm (3.14.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.0+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Feb 2024 14:51:40 +0100

kubernetes-helm (3.13.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Dec 2023 15:28:59 +0100

kubernetes-helm (3.13.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Nov 2023 17:28:23 +0100

kubernetes-helm (3.13.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Oct 2023 17:10:52 +0200

kubernetes-helm (3.13.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Sep 2023 14:39:46 +0200
