=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kubernetes-helm
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -53,6 +53,8 @@
  golang-oras-oras-go-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/helm/helm
+Vcs-Browser: https://gitlab.com/kalilinux/packages/kubernetes-helm
+Vcs-Git: https://gitlab.com/kalilinux/packages/kubernetes-helm.git
 XS-Go-Import-Path: github.com/helm.sh/helm/v3
 
 Package: kubernetes-helm
