## kubernetes-helm 3.18.6+ds1

=== debian/changelog ===
kubernetes-helm (3.18.6+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.6+ds1

 -- Sophie Brun <sophie@kali.org>  Fri, 22 Aug 2025 11:40:41 +0200

kubernetes-helm (3.18.5+ds1-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 3.18.5+ds1

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 15:35:18 +0200
