=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-rc/~rc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
    https://github.com/helm/helm/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
