## kubernetes-helm 3.19.0%2Bds1

=== debian/changelog ===
kubernetes-helm (3.19.0+ds1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 3.19.0+ds1

 -- Sophie Brun <sophie@kali.org>  Wed, 24 Sep 2025 14:51:26 +0200
