=== debian/tests/control ===
Test-Command: helm -h
Restrictions: superficial, allow-stderr
