=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export HOME=$(CURDIR)/debian/build

%:
	dh $@ --builddirectory=_build

override_dh_auto_build:
	make build

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	# it requires golangci-lint. It's not available in Kali
