=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@STABLE_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-/~/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
    https://github.com/helm/helm/tags \
    (?:.*?/)v?@STABLE_VERSION@@ARCHIVE_EXT@
