=== debian/changelog ===
kubernetes-helm (4.0.5+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.5+ds1
  * Build with debian/vendor
  * Add a patch to fix the build

 -- Sophie Brun <sophie@kali.org>  Fri, 23 Jan 2026 15:04:44 +0100
