=== debian/control ===
Source: kubernetes-helm
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 ca-certificates,
 dh-golang,
 golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/helm/helm
Vcs-Browser: https://gitlab.com/kalilinux/packages/kubernetes-helm
Vcs-Git: https://gitlab.com/kalilinux/packages/kubernetes-helm.git
XS-Go-Import-Path: github.com/helm.sh/helm/v4

Package: kubernetes-helm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: kubernetes-client
Built-Using: ${misc:Built-Using}
Description: tool for managing Charts (helm)
 This package contains a tool for managing Charts. Charts are packages of
 pre-configured Kubernetes resources.
 .
 Use Helm to:
    * Find and use popular software packaged as Helm Charts to run in Kubernetes
    * Share your own applications as Helm Charts
    * Create reproducible builds of your Kubernetes applications
    * Intelligently manage your Kubernetes manifest files
