=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export HOME=$(CURDIR)/debian/build
export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --with=golang --buildsystem=golang

execute_after_dh_auto_configure:
	cp -av debian/vendor .
	
override_dh_auto_build:
	make build

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_golang:

override_dh_auto_test:
	# it requires golangci-lint. It's not available in Kali
